RDF::Trine::Serializer::TriG(3pm)

NAME
RDF::Trine::Serializer::TriG - TriG Serializer

VERSION
This document describes RDF::Trine::Serializer::TriG version 1.014

SYNOPSIS
 use RDF::Trine::Serializer::TriG;
 my $serializer = RDF::Trine::Serializer::TriG->new();

DESCRIPTION
The RDF::Trine::Serializer::TriG class provides an API for serializing RDF graphs to the TriG syntax.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Serializer class.

"new"
    Returns a new TriG serializer object.

"serialize_model_to_file ( $fh, $model )"
    Serializes the $model to TriG, printing the results to the supplied filehandle "<$fh">.

"serialize_model_to_string ( $model )"
    Serializes the $model to TriG, returning the result as a string.

"serialize_iterator_to_file ( $file, $iter )"
    Serializes the iterator to TriG, printing the results to the supplied filehandle "<$fh">.

"serialize_iterator_to_string ( $iter )"
    Serializes the iterator to TriG, returning the result as a string.

"statement_as_string ( $st )"
    Returns a string with the supplied RDF::Trine::Statement::Quad object serialized as TriG, ending in a DOT and newline.

"node_as_concise_string"
    Returns a string representation using common Turtle syntax shortcuts (e.g. for numeric literals).

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://sw.deri.org/2008/07/n-quads/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.